eckit (1.24.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Dec 2023 08:00:23 +0000

eckit (1.24.5-1) unstable; urgency=medium

  * New upstream release
  * Remove openblas dependency for some archs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Nov 2023 07:37:38 +0000

eckit (1.24.4-4) unstable; urgency=medium

  * Disable rados build-dep on loong64, sparc64, ppc64

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Nov 2023 17:33:02 +0000

eckit (1.24.4-3) unstable; urgency=medium

  * B-D on architecture-is-64-bit, drop arch-conditionals for librados-dev


 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 16:56:37 +0100

eckit (1.24.4-2) unstable; urgency=medium

  * Enable build twice in a row. Closes: #1044845

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Aug 2023 10:08:57 +0100

eckit (1.24.4-1) unstable; urgency=medium

  * New upstream release
  * Update shared_lib patch for libeckit_distributed.so

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 09:31:09 +0100

eckit (1.24.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jul 2023 17:24:16 +0100

eckit (1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Jun 2023 10:02:22 +0100

eckit (1.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jun 2023 07:50:34 +0100

eckit (1.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jun 2023 10:37:03 +0100

eckit (1.23.1-2) unstable; urgency=medium

  * Push to unstable
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 10:31:24 +0100

eckit (1.23.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 May 2023 11:54:38 +0100

eckit (1.23.0-1) experimental; urgency=medium

  * New upstream release


 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Apr 2023 09:12:09 +0100

eckit (1.22.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Mar 2023 10:16:04 +0100

eckit (1.22.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Mar 2023 03:19:03 +0000

eckit (1.20.2-2) experimental; urgency=medium

  * Enable tests

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Jan 2023 15:01:31 +0000

eckit (1.20.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2022 15:10:36 +0100

eckit (1.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 11:06:48 +0100

eckit (1.19.0-1) unstable; urgency=medium

  * New upstream release
  * Enable OMP

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 07:49:13 +0000

eckit (1.18.7-1) unstable; urgency=medium

  * New upstream release
  * Add bash completions for utils

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Feb 2022 08:52:01 +0000

eckit (1.18.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Dec 2021 11:50:59 +0000

eckit (1.18.0-1) unstable; urgency=medium

  * Add alpha to the arch lists.
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 11:12:13 +0100

eckit (1.17.1-2) unstable; urgency=medium

  * Drop support for 32-bit archs. Closes: #993169

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Aug 2021 12:16:50 +0100

eckit (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * B-D on curl > 7.20
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2021 10:02:40 +0100

eckit (1.16.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jun 2021 10:05:00 +0100

eckit (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 May 2021 08:41:59 +0100

eckit (1.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 01 May 2021 20:57:02 +0100

eckit (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * Bump the dependency on ecbuild >= 3.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Mar 2021 19:56:05 +0000

eckit (1.15.4-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch file
  * Standards-Version: 4.5.1
  * Point vcs-git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 12:41:17 +0000

eckit (1.13.2-1) unstable; urgency=medium

  * New upstream release
  * Disable JEMALLOC as it breaks magics-python at the moment
  * Disable RADOS 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2021 11:08:53 +0000

eckit (1.13.1-1) unstable; urgency=medium

  * New upstream release
  * Build requires ebuild >= 3.4.0-1
  * Change d/rules now that stuff is installed directly in LIBDIR

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Oct 2020 10:37:01 +0100

eckit (1.12.1-2) unstable; urgency=medium

  * Fix in cmake scripts needed for 32-bit systems
  * Enable Rsync

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Sep 2020 09:41:43 +0100

eckit (1.12.1-1) unstable; urgency=medium

  * New upstream release
  * Change paths in d/gbp.conf to match DEP-14 recommendations

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Sep 2020 21:00:19 +0100

eckit (1.11.6-2) unstable; urgency=medium

  * Use debhelper 13 for variable substitution, instead of autogenerating
    dh files
  * Add d/not-installed file for files/links generated
  * Fix for latest bison upgrade. Closes: #966916

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Aug 2020 11:35:41 +0100

eckit (1.11.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 May 2020 09:41:26 +0100

eckit (1.10.1-3) unstable; urgency=medium

  *  * Runtime depend on jemalloc-dev, used by the reverse-dependencies
       Closes: #959029.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Apr 2020 13:42:52 +0100

eckit (1.10.1-2) unstable; urgency=medium

  * Patch gcc10.patch needed for FTBFS (metview using JSON.h header)
  * Add initial d/tests/control to check libs working

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Apr 2020 10:17:05 +0100

eckit (1.10.1-1) unstable; urgency=medium

  * New upstream release
  * Add build-dependency on librsync-dev
  * Standards-Version: 4.5.0
  * Enable JEMALLOC. Librsync suport needs > 2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Apr 2020 13:17:30 +0100

eckit (1.9.0-1) unstable; urgency=medium

  * New upstream release (from Metview bundle)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Apr 2020 11:18:53 +0100

eckit (1.4.7-7) unstable; urgency=medium

  * libeckit-dev now depends on libaec-dev because of deps in the 
    interface blocks in Cmake files (now AEC support enabled)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2020 15:53:05 +0000

eckit (1.4.7-6) unstable; urgency=medium

  * Don't use RADOS on mipsel; not available 
  * libeckit-dev now depends on libeigen3-dev because of deps in the 
    interface blocks in Cmake files

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2020 09:33:20 +0000

eckit (1.4.7-5) unstable; urgency=medium

  * Don't use RADOS on alpha, hpaa, powerpc
  * hurd.patch: Add PATH_MAX as needed
  * aec.patch: Add FindAEC.cmake to discover AEC

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Jan 2020 15:18:25 +0000

eckit (1.4.7-4) unstable; urgency=medium

  * Use openblas on archs where it is available, else reference libblas-dev,
    liblapack-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Jan 2020 13:39:00 +0000

eckit (1.4.7-3) unstable; urgency=medium

  * libeckit-dev also needs to depend on  libssl-dev,
    libcurl4-gnutls-dev,  libxxhash-dev,  libsnappy-dev,  liblz4-dev,
    libbz2-dev, because of cmake interface deps
  * Ditto with openblas and alternatives.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Jan 2020 10:47:42 +0000

eckit (1.4.7-2) unstable; urgency=medium

  * libeckit-dev needs to depend on libopenmpi-dev.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Jan 2020 09:07:50 +0000

eckit (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * Set AEC_INCLUDE_DIR to discover AEC
  * Use openblas-dev for blas, lapack

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Dec 2019 09:02:15 +0000

eckit (1.4.2-3) unstable; urgency=medium

  * Make dependency RADOS optional on minor archs.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2019 13:52:11 +0100

eckit (1.4.2-2) unstable; urgency=medium

  * Tests disabled in this release
  * -dev pkg depends on -utils for eckit_version
  * include files in /usr/include/$multiarch

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2019 11:37:29 +0100

eckit (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * Correct homepage and ecKit descriptions
  * Correct VCS link
  * Patch: Include test data rather than download.
  * Ship libeckit_sql.so.0d accidentally excluded
  * Add Breaks/Replaces on odb-api packages that used to supply 
    eckit before the refactoring
  * Build-Depend on flex, bison, libaec-dev, libeigen3-dev,
    mpi-default-dev, doxygen, liblz4-dev, libbz2-dev, libsnappy-dev,
    libncurses-dev, libxxhash-dev, librados-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2019 07:15:48 +0100

eckit (1.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #935785)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Oct 2019 16:10:53 +0100
